Bug 1261707 - [Docs] [Admin] Users can now specify the number of IO threads that virtual machines use
[Docs] [Admin] Users can now specify the number of IO threads that virtual ma...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.6.0
Unspecified Unspecified
medium Severity medium
: ovirt-3.6.1
: 3.6.0
Assigned To: Tahlia Richardson
Lucy Bopf
http://www.ovirt.org/Features/IOThrea...
:
Depends On: 1101569 1101577
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-09 22:48 EDT by Andrew Dahms
Modified: 2015-12-22 21:16 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-22 21:16:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Dahms 2015-09-09 22:48:28 EDT
In RHEV 3.6, users can now specify the number of IO threads that virtual machines use as part of the new virtio-blk data plane functionality.

This can be configured via IO Threads under Resource Allocation in the New VM and Edit VM windows.

This option can also be configured for instances.
Comment 1 Andrew Dahms 2015-09-09 22:49:50 EDT
Assigning to Tahlia for review.
Comment 2 Andrew Dahms 2015-09-09 22:51:02 EDT
Tahlia - look to the 'depends on' bugs for more information on the feature and potential limitations.

While the 'IO Threads' option is the most visible option available for this feature, I suspect there may be more. I would recommend reaching out to PM or engineering early on just to confirm what we are looking at here.
Comment 3 Sandro Bonazzola 2015-10-26 08:39:46 EDT
this is an automated message. oVirt 3.6.0 RC3 has been released and GA is targeted to next week, Nov 4th 2015.
Please review this bug and if not a blocker, please postpone to a later release.
All bugs not postponed on GA release will be automatically re-targeted to

- 3.6.1 if severity >= high
- 4.0 if severity < high
Comment 7 Andrew Dahms 2015-11-25 07:18:36 EST
Raising needinfo against lbopf.

Lucy - would you be able to take a look at the changes for this bug?
Comment 8 Lucy Bopf 2015-11-26 19:52:54 EST
Reviewed. Made a minor update for clarity. Everything else looks good.

Virtual Machine Resource Allocation Settings Explained [10398-773209]
Updated Revision History [44860-773210]


Moving to VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.